com.sun.tdk.specdiff.html.stat

## Class DiffStatBuilder

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule
  - - com.sun.tdk.specdiff.html.stat.StatBuilder
    - - com.sun.tdk.specdiff.html.stat.DiffStatBuilder

- All Implemented Interfaces:
    DifferModule

      public class DiffStatBuilder
      extends StatBuilder

  Generic implementation of StatBuilder: calculates different types of statistics

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.tdk.specdiff.html.stat.StatBuilder

      `StatBuilder.ConflictResolver, StatBuilder.DefaultConflictResolver`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDED_NAMED_ITEM`
    `static java.lang.String` | `ASSERT_GROUP`
    `static java.lang.String` | `CHANGED_NAMED_ITEM`
    `static java.lang.String` | `CONTEXT_GROUP`
    `static java.lang.String` | `GLOBAL_ASSERTION_GROUP`
    `static java.lang.String` | `GLOBAL_CONTEXT_GROUP`
    `static java.lang.String` | `GLOBAL_DOCUMENT_GROUP`
    `static java.lang.String` | `GLOBAL_PACKAGE_GROUP`
    `static java.lang.String` | `JOINT_NAMED_ITEM`
    `static java.lang.String` | `MODIFIED_NAMED_ITEM`
    `static java.lang.String` | `MOVED_CHANGED_NAMED_ITEM`
    `static java.lang.String` | `MOVED_NAMED_ITEM`
    `static java.lang.String[]` | `NAMED_ITEMS`
    `static java.lang.String` | `PACKAGE_ASSERTION_GROUP`
    `static java.lang.String` | `PACKAGE_CONTEXT_GROUP`
    `static java.lang.String` | `PACKAGE_DOCUMENT_GROUP`
    `static java.lang.String` | `REMOVED_NAMED_ITEM`
    `static java.lang.String` | `SPLIT_NAMED_ITEM`
    `static java.lang.String` | `TOTAL_NAMED_ITEM`

    - ### Fields inherited from class com.sun.tdk.specdiff.html.stat.StatBuilder

      `assertionMap, context, doc, DUPLICATE_ASSERTION, history, historyList, hnd, INVALID_TEST_CASE, LOG, MISSED_CLOSE, MISSED_OPEN, modType, NONEXISTENT_TEST_CASE, RENAMED_ASSERTION, RENAMED_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiffStatBuilder()` Default constructor for javadoc file.
    `DiffStatBuilder(Document globalDoc)` Default constructor for non-javadoc file.
    `DiffStatBuilder(DocumentStats pckgStats, Document globalDoc)` StatBuilder for javadoc package file.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DiffStatBuilder` | `createDirectoryStatBuilder(DocumentStats pckgStats, Document globalDoc)` Creates StatBuilder for directory without a package file (e.g.
    `protected boolean` | `filterAccept()` Implements filtering by context.
    `protected static void` | `incr(DocumentStatGroup sg, org.outerj.daisy.diff.html.modification.ModificationType mt)`
    `protected static DocumentStatGroup` | `init(DocumentStat ds, java.lang.String sgName)`
    `protected void` | `postBuild()` Post-process Override it!
    `protected void` | `preBuild()` Pre-process Override it!

    - ### Methods inherited from class com.sun.tdk.specdiff.html.stat.StatBuilder

      `build, doBuild, doBuild, findAssertionNodes, findChangedAssertion, findChangedAssertion, findContextHistory, getAssertion, getConflictResolver, getContext, getDocument, getXmlStatFile, initNewContext, process, process, process, process, resolveProblem, validateAndFix, validateAndFix, write`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.AbstractDifferModule

      `getFileName, getNewPath, getOldPath, getOutDir, getParameters, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_GROUP

          public static final java.lang.String CONTEXT_GROUP

      See Also:
        Constant Field Values

    - #### ASSERT_GROUP

          public static final java.lang.String ASSERT_GROUP

      See Also:
        Constant Field Values

    - #### PACKAGE_DOCUMENT_GROUP

          public static final java.lang.String PACKAGE_DOCUMENT_GROUP

      See Also:
        Constant Field Values

    - #### PACKAGE_CONTEXT_GROUP

          public static final java.lang.String PACKAGE_CONTEXT_GROUP

      See Also:
        Constant Field Values

    - #### PACKAGE_ASSERTION_GROUP

          public static final java.lang.String PACKAGE_ASSERTION_GROUP

      See Also:
        Constant Field Values

    - #### GLOBAL_PACKAGE_GROUP

          public static final java.lang.String GLOBAL_PACKAGE_GROUP

      See Also:
        Constant Field Values

    - #### GLOBAL_DOCUMENT_GROUP

          public static final java.lang.String GLOBAL_DOCUMENT_GROUP

      See Also:
        Constant Field Values

    - #### GLOBAL_CONTEXT_GROUP

          public static final java.lang.String GLOBAL_CONTEXT_GROUP

      See Also:
        Constant Field Values

    - #### GLOBAL_ASSERTION_GROUP

          public static final java.lang.String GLOBAL_ASSERTION_GROUP

      See Also:
        Constant Field Values

    - #### ADDED_NAMED_ITEM

          public static final java.lang.String ADDED_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### REMOVED_NAMED_ITEM

          public static final java.lang.String REMOVED_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### CHANGED_NAMED_ITEM

          public static final java.lang.String CHANGED_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### MODIFIED_NAMED_ITEM

          public static final java.lang.String MODIFIED_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### MOVED_NAMED_ITEM

          public static final java.lang.String MOVED_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### MOVED_CHANGED_NAMED_ITEM

          public static final java.lang.String MOVED_CHANGED_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### JOINT_NAMED_ITEM

          public static final java.lang.String JOINT_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### SPLIT_NAMED_ITEM

          public static final java.lang.String SPLIT_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### TOTAL_NAMED_ITEM

          public static final java.lang.String TOTAL_NAMED_ITEM

      See Also:
        Constant Field Values

    - #### NAMED_ITEMS

          public static final java.lang.String[] NAMED_ITEMS

  - ### Constructor Detail

    - #### DiffStatBuilder

          public DiffStatBuilder()

      Default constructor for javadoc file.

    - #### DiffStatBuilder

          public DiffStatBuilder(Document globalDoc)

      Default constructor for non-javadoc file.

    - #### DiffStatBuilder

          public DiffStatBuilder(DocumentStats pckgStats,
                                 Document globalDoc)

      StatBuilder for javadoc package file.

  - ### Method Detail

    - #### createDirectoryStatBuilder

          public static DiffStatBuilder createDirectoryStatBuilder(DocumentStats pckgStats,
                                                                   Document globalDoc)

      Creates StatBuilder for directory without a package file (e.g. doc-files).

    - #### preBuild

          protected void preBuild()

      Description copied from class: `StatBuilder`
      Pre-process Override it!
      Overrides:
        `preBuild` in class `StatBuilder`

    - #### postBuild

          protected void postBuild()

      Description copied from class: `StatBuilder`
      Post-process Override it!
      Overrides:
        `postBuild` in class `StatBuilder`

    - #### filterAccept

          protected boolean filterAccept()

      Implements filtering by context.
      Overrides:
        `filterAccept` in class `StatBuilder`

    - #### init

          protected static DocumentStatGroup init(DocumentStat ds,
                                                  java.lang.String sgName)

    - #### incr

          protected static void incr(DocumentStatGroup sg,
                                     org.outerj.daisy.diff.html.modification.ModificationType mt)